package io.hmit.modules.serviceOrder.service;

import io.hmit.common.page.PageData;
import io.hmit.common.service.CrudService;
import io.hmit.modules.serviceOrder.dto.UserDTO;
import io.hmit.modules.serviceOrder.entity.UserEntity;

import java.util.List;
import java.util.Map;

/**
 * 用户
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-01-27
 */
public interface UserService extends CrudService<UserEntity, UserDTO> {

    void saveOrUpdateUserRole(Long userId, List<Long> roleIdList);

    UserEntity getUserByUserId(Long userId);

    PageData<UserEntity> getOrganizationAllUsers(Map<String, Object> params, Long userId);

    PageData<UserDTO> getOrgStaff(Map<String, Object> params);

}
